Debian Bug report logs - #199231
[checks/standards-version] please remove newer-standards-version

version graph

Package: lintian; Maintainer for lintian is Debian Lintian Maintainers <lintian-maint@debian.org>; Source for lintian is src:lintian.

Reported by: Martin Godisch <martin@godisch.de>

Date: Sun, 29 Jun 2003 08:48:07 UTC

Severity: wishlist

Tags: wontfix

Found in version 1.22.8.1

Done: Niels Thykier <niels@thykier.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Josip Rodin <joy-packages@debian.org>:
Bug#199231; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to Martin Godisch <martin@godisch.de>:
New Bug report received and forwarded. Copy sent to Josip Rodin <joy-packages@debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Martin Godisch <martin@godisch.de>
To: Debian Bug Tracking System <maintonly@bugs.debian.org>
Subject: lintian: please remove newer-standards-version
Date: Sun, 29 Jun 2003 10:39:43 +0200
Package: lintian
Version: 1.22.8.1
Severity: wishlist

This test is with higher probability out of date than accurate.
I suggest to remove it completely.

Kind regards,

Martin



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#199231; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to piem@altern.org:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. Full text and rfc822 format available.

Message #10 received at 199231@bugs.debian.org (full text, mbox):

From: Paul Brossier <piem@altern.org>
To: 199231@bugs.debian.org, controls@bugs.debian.org
Cc: lintian-maint@debian.org
Subject: standards version check is wrong
Date: Mon, 21 Jun 2004 18:52:08 +0100
severity 199231 important
thanks

i was trying to figure what version lintian needs:
  - 3.5.8 gives no warning, 
  - 3.6.0, 3.6.1 and 3.6.1.0 all give warnings

this (huge) page is somewhat showing which packages are the less wrong:
http://lintian.debian.org/reports/Tnewer-standards-version.html



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#199231; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. Full text and rfc822 format available.

Message #15 received at 199231@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: piem@altern.org, 199231@bugs.debian.org
Subject: Re: Bug#199231: standards version check is wrong
Date: Mon, 21 Jun 2004 20:41:37 +0200
On Mon, Jun 21, 2004 at 06:52:08PM +0100, Paul Brossier wrote:
> severity 199231 important
> thanks
> 
> i was trying to figure what version lintian needs:
>   - 3.5.8 gives no warning, 
>   - 3.6.0, 3.6.1 and 3.6.1.0 all give warnings
> 
> this (huge) page is somewhat showing which packages are the less wrong:
> http://lintian.debian.org/reports/Tnewer-standards-version.html

lintian.debian.org has a (severly) outdated version of lintian. The
current lintian (1.23.0) is correct.

This bugreport is about removing the 'newer-standards-version' check
altogether, a request I'd personally reject (but I don't know the
opinion of my fellow lintian developers).

--Jeroen

-- 
Jeroen van Wolffelaar
Jeroen@wolffelaar.nl (also for Jabber & MSN; ICQ: 33944357)
http://Jeroen.A-Eskwadraat.nl



Tags added: wontfix Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Niels Thykier <niels@thykier.net>:
You have taken responsibility. (Mon, 22 Jul 2013 12:57:04 GMT) Full text and rfc822 format available.

Notification sent to Martin Godisch <martin@godisch.de>:
Bug acknowledged by developer. (Mon, 22 Jul 2013 12:57:04 GMT) Full text and rfc822 format available.

Message #24 received at 199231-done@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: 199231-done@bugs.debian.org
Subject: Re: [checks/standards-version] please remove newer-standards-version
Date: Mon, 22 Jul 2013 14:55:22 +0200
Hi,

This bug has been marked wontfix since 2003, so I am taking the liberty
of closing this tag.

In the particular case, you have the possibility to disable the tag
locally by using a (Lintian vendor-)profile[1].

~Niels

[1] http://lintian.debian.org/manual/section-2.5.html




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 20 Aug 2013 07:28:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 21:26:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.